<script type="text/javascript">
	//<![CDATA[
	var _status = document.getElementsByClassName('_status');
	for(var i = 0; i < _status.length; i++) {
		var id = _status[i].parentElement.parentElement.parentElement.id;
		id = id.substr(id.lastIndexOf("-") + 1);
		XHR.poll(1,'<%=url([[admin]], [[modem]], [[status]])%>', {
				index: i,
				id: id
			},
			function(x, result) {
				_status[result.index].setAttribute("style","font-weight:bold;");
				_status[result.index].setAttribute("color",result.status ? "green":"red");
				_status[result.index].innerHTML = (result.status ? '✓' : 'X');
			}
		);
	}
	//]]>
</script>
